%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: GObject JavaScriptCore bridge
Name: seed
Version: 3.2.0
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Patch0: seed-3.2.0-linkage.patch
License: LGPLv3+ and GPLv3+
Group: Development/Other
Url: http://live.gnome.org/Seed
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gnome-js-common)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libffi)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(webkitgtk-3.0)
BuildRequires: readline-devel
BuildRequires: mpfr-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
Requires: %libname = %version-%release

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n %libname
Group: System/Libraries
Summary: GObject JavaScriptCore bridge - shared library

%description -n %libname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n %develname
Summary: GObject JavaScriptCore bridge - development library
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.


%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --enable-gtk-doc --disable-static --with-webkit=3.0
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/seed
%_datadir/seed-gtk3
%_mandir/man1/seed.1*
%_libdir/seed-gtk3

%files -n %libname
%defattr(-,root,root)
%_libdir/libseed-gtk3.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libseed-gtk3.so
%_libdir/pkgconfig/seed.pc
%_includedir/seed-gtk3
%_datadir/gtk-doc/html/seed


%changelog

* Thu Sep 22 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 146652
- fix linkage
- new version 3.2.0
- add fedora patch to fix build
- add upstream patches to build with latest webkit
- new version 3.1.1
- turn to gtk3 flavour

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 110615
- Rebuild against new webkit

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-1.mga1
+ Revision: 89000
- Update to 3.0.0

* Thu Mar 24 2011 boklm <boklm> 2.31.91-3.mga1
+ Revision: 76207
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 2.31.91-2.mga1
+ Revision: 72707
- add missing BR libgnutls-devel
- BR must be libwebkitgtk-devel to pull webkit-1.2.5 and _not_ webkitgtk-1.3.12

  + eandry <eandry>
    - clean spec

  + ennael <ennael>
    - imported package seed

